Name:		lxrandr
Version:	0.3.1
Release:	%mkrel 1
Summary:	Simple monitor config tool for LXDE
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		http://lxde.sourceforge.net

Source0:	http://dfn.dl.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.xz
# icons "stolen" from oxygen icon theme
Source1:	%{name}-32.png
Source2:	%{name}-48.png
Source3:	%{name}-16.png

Patch0:		%{name}-0.3.1-mga-desktop-file.patch
Patch1:		%{name}-0.3.1-mga-correct-pt-po-file.patch

BuildRequires:	gtk+2-devel
BuildRequires:	intltool
Requires:	xrandr

%description
This is a very basic monitor config tool utilizing XRandR. It can let you
change the screen resolution on the fly. Besides, when you run lxrandr
with external monitor connected, its GUI will change, and show you some
quick options to get your projector working correctly.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
mkdir -p %{buildroot}%{_miconsdir}
install -m0644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 %{SOURCE2} %{buildroot}%{_liconsdir}/%{name}.png
install -m0644 %{SOURCE3} %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%name
%{_mandir}/man1/*.1.*
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png



%changelog
* Sun Feb 21 2016 ns80 <ns80> 0.3.1-1.mga6
+ Revision: 975324
- add patch correct-pt-po-file
- new version 0.3.1
- rediff patch desktop-file

* Tue Feb 09 2016 umeabot <umeabot> 0.3.0-3.mga6
+ Revision: 951897
- Mageia 6 Mass Rebuild

* Fri Jan 09 2015 alexl <alexl> 0.3.0-2.mga5
+ Revision: 809642
- updated desktop file and fixed installation for it
- deleted deprecated workaround build loop

* Wed Oct 22 2014 alexl <alexl> 0.3.0-1.mga5
+ Revision: 792507
- version 0.3.0 (mga#14161)

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-7.mga5
+ Revision: 746725
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-6.mga5
+ Revision: 682099
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-5.mga4
+ Revision: 507635
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.2-4.mga3
+ Revision: 359189
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 19 2012 obgr_seneca <obgr_seneca> 0.1.2-3.mga2
+ Revision: 235910
- removed second desktop file

* Wed Feb 01 2012 obgr_seneca <obgr_seneca> 0.1.2-2.mga2
+ Revision: 203862
- added icon and fixed desktop file (bug 3135)

  + tv <tv>
    - BuildRequires:  intltool
    - new release

* Mon Feb 07 2011 ahmad <ahmad> 0.1.1-2.mga1
+ Revision: 48723
- drop old/unneeded scriptlets
- workaround build loop
- imported package lxrandr

